Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Endpoint_Process_Strategy_B Class Reference

Process-based strategy to create "B" type endpoints. More...

`#include <Endpoint_Strategy.h>`

Inheritance diagram for TAO_AV_Endpoint_Process_Strategy_B:

[legend]
Collaboration diagram for TAO_AV_Endpoint_Process_Strategy_B:

[legend]
List of all members.

## Public Methods
| TAO_AV_Endpoint_Process_Strategy_B (ACE_Process_Options *process_options)
| Constructor. More...
virtual | ~TAO_AV_Endpoint_Process_Strategy_B (void)
| Destructor. More...
## Protected Methods
virtual int | create_B (AVStreams::StreamEndPoint_B_ptr &stream_endpoint, AVStreams::VDev_ptr &vdev ACE_ENV_ARG_DECL)
| Creates a "B" type stream endpoint, and a vdev. More...
virtual int | get_stream_endpoint (ACE_ENV_SINGLE_ARG_DECL)
| Gets the object reference of the "B" type streamendpoint. More...

## Detailed Description

Process-based strategy to create "B" type endpoints.

## Constructor & Destructor Documentation

TAO_AV_Endpoint_Process_Strategy_B::TAO_AV_Endpoint_Process_Strategy_B | ( | ACE_Process_Options * | process_options | ) |

| Constructor.

TAO_AV_Endpoint_Process_Strategy_B::~TAO_AV_Endpoint_Process_Strategy_B | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_AV_Endpoint_Process_Strategy_B::create_B | ( | AVStreams::StreamEndPoint_B_ptr & | stream_endpoint,
|  | AVStreams::VDev_ptr &vdev | ACE_ENV_ARG_DECL
| ) | `[protected, virtual]`

| Creates a "B" type stream endpoint, and a vdev. Reimplemented from TAO_AV_Endpoint_Strategy.

int TAO_AV_Endpoint_Process_Strategy_B::get_stream_endpoint | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Gets the object reference of the "B" type streamendpoint. Reimplemented from TAO_AV_Endpoint_Process_Strategy.

The documentation for this class was generated from the following files:

- Endpoint_Strategy.h
- Endpoint_Strategy.cpp